<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Storage/SQLiteStorage/include/SQLiteStorage/SQLiteStatement.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d29c5f5a2915d6c5388c9daae4f109c7.html">Storage</a></li><li class="navelem"><a class="el" href="dir_74c6299ccbc82b9602ff2a1d0fd58149.html">SQLiteStorage</a></li><li class="navelem"><a class="el" href="dir_e9e65e5cdb5cac6022982370ecf72758.html">include</a></li><li class="navelem"><a class="el" href="dir_527e0f2196f10a6ada1f9f8fee22d911.html">SQLiteStorage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">SQLiteStatement.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;sqlite3.h&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SQLiteStatement.h:</div>
<div class="dyncontent">
<div class="center"><img src="_s_q_lite_statement_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_statement_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_statement_8h" id="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_statement_8h">
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_s_q_lite_statement_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_statement_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_statement_8hdep" id="_2workplace_2avs-device-sdk_2_storage_2_s_q_lite_storage_2include_2_s_q_lite_storage_2_s_q_lite_statement_8hdep">
<area shape="rect" id="node2" href="_s_q_lite_alert_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/Storage/SQLiteAlert\lStorage.cpp" alt="" coords="3820,332,4023,397"/>
<area shape="rect" id="node3" href="_bluetooth_storage_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/BluetoothStorageInterface.h" alt="" coords="1795,332,1986,397"/>
<area shape="rect" id="node20" href="_s_q_lite_notifications_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/src/SQLiteNotifications\lStorage.cpp" alt="" coords="2010,332,2246,397"/>
<area shape="rect" id="node21" href="_s_q_lite_setting_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Settings/src/SQLiteSettingStorage.cpp" alt="" coords="2757,339,3009,391"/>
<area shape="rect" id="node22" href="_s_q_lite_message_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CertifiedSender\l/src/SQLiteMessageStorage.cpp" alt="" coords="3084,339,3298,391"/>
<area shape="rect" id="node23" href="_s_q_lite_c_b_l_auth_delegate_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/Authorization\l/CBLAuthDelegate/src/SQLiteCBLAuth\lDelegateStorage.cpp" alt="" coords="993,332,1244,397"/>
<area shape="rect" id="node24" href="_s_q_lite_database_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/include/SQLiteStorage/SQLiteDatabase.h" alt="" coords="2651,105,2922,157"/>
<area shape="rect" id="node43" href="_s_q_lite_misc_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/src/SQLiteMiscStorage.cpp" alt="" coords="4996,339,5184,391"/>
<area shape="rect" id="node47" href="_s_q_lite_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/src/SQLiteUtils.cpp" alt="" coords="4493,339,4681,391"/>
<area shape="rect" id="node49" href="_s_q_lite_statement_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/src/SQLiteStatement.cpp" alt="" coords="5002,105,5190,157"/>
<area shape="rect" id="node4" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="1788,559,2015,624"/>
<area shape="rect" id="node15" href="_bluetooth_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/Bluetooth.h" alt="" coords="1677,445,1865,511"/>
<area shape="rect" id="node17" href="_s_q_lite_bluetooth_storage_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/SQLiteBluetoothStorage.h" alt="" coords="2220,445,2407,511"/>
<area shape="rect" id="node18" href="_s_q_lite_bluetooth_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/src/SQLiteBluetooth\lStorage.cpp" alt="" coords="2342,559,2546,624"/>
<area shape="rect" id="node5" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="1888,672,2116,724"/>
<area shape="rect" id="node6" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="1522,772,1745,824"/>
<area shape="rect" id="node13" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="1649,672,1864,724"/>
<area shape="rect" id="node7" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="1319,872,1537,924"/>
<area shape="rect" id="node12" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="1561,872,1768,924"/>
<area shape="rect" id="node8" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="1319,972,1538,1024"/>
<area shape="rect" id="node11" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="1562,972,1764,1024"/>
<area shape="rect" id="node9" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="1329,1072,1527,1111"/>
<area shape="rect" id="node10" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="2014,1072,2294,1111"/>
<area shape="rect" id="node14" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="1841,779,2117,817"/>
<area shape="rect" id="node16" href="_bluetooth_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/src/Bluetooth.cpp" alt="" coords="1576,565,1764,617"/>
<area shape="rect" id="node19" href="_s_q_lite_bluetooth_storage_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/test/SQLiteBluetooth\lStorageTest.cpp" alt="" coords="2111,559,2319,624"/>
<area shape="rect" id="node25" href="_s_q_lite_alert_storage_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/Storage/SQLiteAlertStorage.h" alt="" coords="4032,212,4233,277"/>
<area shape="rect" id="node28" href="_s_q_lite_notifications_storage_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/include\l/Notifications/SQLiteNotifications\lStorage.h" alt="" coords="2393,205,2608,284"/>
<area shape="rect" id="node30" href="_s_q_lite_setting_storage_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Settings/include/Settings\l/SQLiteSettingStorage.h" alt="" coords="2997,212,3168,277"/>
<area shape="rect" id="node32" href="_s_q_lite_message_storage_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CertifiedSender\l/include/CertifiedSender\l/SQLiteMessageStorage.h" alt="" coords="3401,212,3578,277"/>
<area shape="rect" id="node34" href="_s_q_lite_c_b_l_auth_delegate_storage_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/Authorization\l/CBLAuthDelegate/include/CBLAuthDelegate\l/SQLiteCBLAuthDelegateStorage.h" alt="" coords="651,212,939,277"/>
<area shape="rect" id="node39" href="_s_q_lite_device_setting_storage_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/include\l/Settings/Storage/SQLiteDevice\lSettingStorage.h" alt="" coords="1437,212,1646,277"/>
<area shape="rect" id="node42" href="_s_q_lite_misc_storage_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/include/SQLiteStorage/SQLiteMisc\lStorage.h" alt="" coords="4697,212,4927,277"/>
<area shape="rect" id="node44" href="_s_q_lite_misc_storage_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/test/SQLiteMiscStorageTest.cpp" alt="" coords="4705,339,4920,391"/>
<area shape="rect" id="node45" href="_s_q_lite_utils_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/include/SQLiteStorage/SQLiteUtils.h" alt="" coords="2683,219,2923,271"/>
<area shape="rect" id="node46" href="_s_q_lite_database_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/src/SQLiteDatabase.cpp" alt="" coords="2545,339,2733,391"/>
<area shape="rect" id="node48" href="_s_q_lite_database_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Storage/SQLiteStorage\l/test/SQLiteDatabaseTest.cpp" alt="" coords="2120,219,2318,271"/>
<area shape="rect" id="node26" href="_alerts_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/src/AlertsCapability\lAgent.cpp" alt="" coords="4292,332,4469,397"/>
<area shape="rect" id="node27" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="4046,339,4218,391"/>
<area shape="rect" id="node29" href="_notifications_storage_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/test/Notifications\lStorageTest.cpp" alt="" coords="2270,332,2469,397"/>
<area shape="rect" id="node31" href="_settings_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Settings/test/SettingsTest.cpp" alt="" coords="3322,339,3522,391"/>
<area shape="rect" id="node33" href="_message_storage_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CertifiedSender\l/test/MessageStorageTest.cpp" alt="" coords="3596,339,3797,391"/>
<area shape="rect" id="node35" href="_a_c_l_test_context_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/src\l/ACLTestContext.cpp" alt="" coords="5,339,158,391"/>
<area shape="rect" id="node36" href="_auth_delegate_test_context_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/src\l/AuthDelegateTestContext.cpp" alt="" coords="182,339,384,391"/>
<area shape="rect" id="node37" href="_alexa_authorization_delegate_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlexaAuthorizationDelegateTest.cpp" alt="" coords="407,339,647,391"/>
<area shape="rect" id="node38" href="_alexa_communications_library_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlexaCommunicationsLibraryTest.cpp" alt="" coords="671,339,919,391"/>
<area shape="rect" id="node40" href="_s_q_lite_device_setting_storage_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/src/Storage\l/SQLiteDeviceSettingStorage.cpp" alt="" coords="1552,339,1772,391"/>
<area shape="rect" id="node41" href="_s_q_lite_device_settings_storage_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Settings/test/SQLiteDevice\lSettingsStorageTest.cpp" alt="" coords="1319,339,1527,391"/>
</map>
</div>
</div>
<p><a href="_s_q_lite_statement_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html">alexaClientSDK::storage::sqliteStorage::SQLiteStatement</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1storage"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage.html">alexaClientSDK::storage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html">alexaClientSDK::storage::sqliteStorage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
